/* Sessão do carrossel de imagens */
.sessao-carrossel {
    background-color: rgb(255, 255, 255);
    border: 3px solid #8C472F;
    display: flex;
    justify-content: space-between;
    padding: 15px 15px 0;
    margin-bottom: 30px;
}
.sessao-carrossel h2 {
    font-family: "Fredericka the Great", serif;
    font-weight: 500;
    font-size: 30px;
    color: #8C472F;
    width: 230px;
    padding-top: 20px;
    margin-top: 30px;
}
#carouselExampleCaptions {
    width: 70%;
    margin-bottom: 10px;
}
.carousel-indicators button {
    border-radius: 50%;
    height: 20px !important;
    width: 20px !important;
    background-color: #8C472F !important;
}
.carousel-inner {
    height: 100%;
}
.carousel-item > img {
    width: 100%;
    height: 300px;
    object-fit: cover;
}
.carousel-caption {
    background-color: white;
    color: #333;
    position: unset;
    width: 100%;
    height: 250px;
    padding-bottom: 170px;
    border: 1px solid #8c462f8e;
    border-top: none;
    padding: 0 20px;
}
.carousel-caption h4 {
    font-size: 25px;
    color: #8c462f;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    overflow: hidden;
    -webkit-box-orient: vertical;
}
.carousel-caption p {
    font-size: 18px;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    overflow: hidden;
    -webkit-box-orient: vertical;
    color: #8c462f;
}
#carouselExampleCaptions .carousel-control-next, #carouselExampleCaptions .carousel-control-prev {
    top: -150px;
    opacity: 1;
}

/* Sessão dos cards */
main {
    margin-bottom: 50px;
}
.cards {
    display: flex;
    justify-content: space-between;
    gap: 10px;
    margin: 0 25%;
}
.card {
    width: 200px;
    height: 280px;
    border: 3px solid #8C472F;
    padding: 15px;
    padding-bottom: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: white;
    border-radius: 0;
    position: relative;
}
.card div h3, .card div p {
    color: #8c462fb2;
}
.card div h3 {
    color: #8c462f;
}
.card div h3 {
    font-family: "Fredericka the Great", serif;
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 10px;
}
.card div p {
    font-size: 14px;
    display: -webkit-box;
    -webkit-line-clamp: 7;
    overflow: hidden;
    -webkit-box-orient: vertical;
}
.card a {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #018A3D;
    color: white;
    text-decoration: none;
    font-size: 20px;
    text-align: center;
    padding: 8px;
    transition-duration: .3s;
}
.card a:hover {
    background-color: #006d2f;
}

/* Sessão Carrossel de Frases */
.carrossel-frase {
    margin: 0 25%;
    margin-top: 80px !important;
    margin-bottom: 70px !important;
}
#carouselExampleIndicators {
    position: relative;
}
#carouselExampleIndicators p {
    width: 50%;
    margin: 0 auto;
    text-align: center;
    font-family: "Fredericka The Great", serif;
    font-size: 30px;
    color: #006d2f;
}

@media (max-width: 1580px) {
    .cards, .carrossel-frase {
        margin: 0 20%;
    }
}
@media (max-width: 1420px) {
    .cards, .carrossel-frase {
        margin: 0 15%;
    }
}
@media (max-width: 1150px) {
    .cards, .carrossel-frase {
        margin: 0 10%;
    }
}
@media (max-width: 1000px) {
    .cards {
        margin: 0;
        margin-left: 5px;
    }
    .card {
        height: 300px;
    }
    .carrossel-frase {
        margin: 0;
    }
}
@media (max-width: 880px) {
    .sessao-carrossel {
        flex-direction: column;
        padding-bottom: 30px;
    }
    .sessao-carrossel h2 {
        width: 100%;
        text-align: center;
        margin-top: 0;
    }
    #carouselExampleCaptions {
        width: 80%;
        margin: 0 auto;
    }
    .carousel-caption {
        display: block !important;
    }
    .cards {
        flex-wrap: wrap;
        justify-content: space-around;
        gap: 10px;
    }
}
@media (max-width: 500px) {
    .sessao-carrossel h2 {
        font-size: 25px;
    }
    #carouselExampleCaptions {
        width: 100%;
    }
    .cards {
        flex-wrap: nowrap;
        overflow-x: scroll;
        padding-bottom: 10px;
        position: relative;
        padding-top: 40px;
    }
    .arrow-right {
        position: absolute;
        right: 0;
        top: 0;
        display: inline !important;
        width: 60px;
        height: 35px;
    }
    .arrow-right path {
        fill: #333;
        border: 20px solid black;
    }
    .card {
        min-width: 180px;
        min-height: 280px;
    }
    #carouselExampleIndicators p {
        width: 70%;
    }
    .carousel-caption p {
        -webkit-line-clamp: 3;
    }
}